ACCT(2)

NAME
acct - switch process accounting on or off

SYNOPSIS
#include <unistd.h>

int acct(const char *filename);

DESCRIPTION
When called with the name of an existing file as argument, accounting is turned on, records for each terminating process are appended to filename as it terminates. An argument of NULL causes accounting to be turned off.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

ENOSYS
    The accounting kit has not been installed.

CONFORMING TO
SVr4 (but not POSIX). SVr4 documents EACCES, EBUSY, EFAULT, ELOOP, ENAMETOOLONG, ENOTDIR, ENOENT, EPERM and EROFS error conditions, but no ENOSYS.

NOTES
No accounting is produced for programs running when a crash occurs. In particular, nonterminating processes are never accounted for.